#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Button.H>
// using openbox window manager
// flicker during resize exist on "plastic" or "gtk+" schemes using Fl_Double_Window
// example code below
int main( int argc, char* argv[] )
{
// tried different "Fl::visual" params, and omitting them,
// altering Fl::visual does not fix flicker
    // Fl::visual(FL_DOUBLE|FL_RGB);
    Fl::visual(FL_DOUBLE|FL_INDEX);
    
    // ----this is what causes the double buffer flicker----
    // something is happening when using plastic or gtk+ to cause flicker
    // this happens on BusenLabs Linux (openbox window manager)
    // compiled a test app using standard libgtk2.0-dev for GUI and no flicker
    Fl::scheme("plastic");  // if this is enabled we get resize flicker
    // Fl::scheme("gtk+");  // if this is enabled we get resize flicker
    Fl_Double_Window* win = new Fl_Double_Window(300,100, "FLTK Dialog Test" );
    // Fl_Window* win = new Fl_Window(300,100, "FLTK Dialog Test" );
    win->begin();   // begin building the window
    Fl_Button* but = new Fl_Button(   5, 5, 40, 40, "ON" );
    win->end();     // done building the window
    win->resizable(but);
    win->show();    // show the window
    // dlg loop
    return Fl::run();
}
